/* Reset des éléments du site internet */

*, ::before, ::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    transition: 0.3s;
}

a {
    text-decoration: none;
    color: var(--ecriture-a)
}

li {
    list-style-type: none;
}

/* Site internet */

html {
    scroll-behavior: smooth;
}

body {
    background-color: #111111;
    font-family: 'Roboto Condensed', sans-serif;
    height: 100vh;
}

/* NavBar du site internet */

.navbar {
    position: fixed;
    background-color: #11111175;
    backdrop-filter: blur(7px);
    padding: 20px 50px 20px 50px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    box-sizing: border-box;
    z-index: 100;
}

.navbar a {
    color: #FFFFFF;
    font-weight: bold;
}

.navbar .nav-links ul {
    display: flex;
    justify-content: center;
    align-items: center;
}

header .navbar .nav-links li a button {
    padding: 10px 20px;
    background: none;
    border: none;
    font-weight: bold;
    color: #FFFFFF;
    font-size: 16px;
    font-family: 'Roboto Condensed', sans-serif;
    cursor: pointer;
    transition: 0.3s;
}

header .navbar .nav-links li a .non-active {
    border-radius: 10px;
}

header .navbar .nav-links li a .active {
    background-color: #2c2c2c;
    border-radius: 10px;
}

header .navbar .nav-links li a .non-active:hover {
    background-color: #2c2c2c;
}

.navbar .menu-hamburger {
    display: none;
    position: absolute;
    top: 43.5px;
    right: 50px;
}

/* Corps du site internet */

main .title-general {
    padding-top: 100px;
}

main .title-general p {
    padding-top: 100px;
    color: #FFFFFF;
}

main .title-general a {
    text-decoration: underline;
}

main p {
    text-align: center;
    color: #FFFFFF;
    font-size: 1.5em;
    margin: 10px;
}

main .txt-presentation {
    text-align: center;
    padding: 50px 50px 10px;
}

main .txt-presentation p {
    color: #FFFFFF;
    padding: 10px;
}

main .txt-presentation p {
    color: #FFFFFF;
    padding: 10px;
}

main .txt-presentation a {
    text-decoration: underline;
}

main .durer {
    padding: 10px;
    font-weight: bold;
    display: flex;
    justify-content: center;
    align-items: center;
}

main .durer p {
    margin: 20px;
    font-size: 20px;
    color: #FFFFFF;
}

main .maintenance {
    padding-top: 200px;
    font-size: 3em;
    font-weight: 800;
    color: white;
}

/* Avis */

main .avis {
    padding-top: 200px;
    padding-bottom: 200px;
    width: 70%;
    margin: auto;
}

main .avis:hover {
    overflow-y: hidden;
}

main .avis .title-avis {
    color: #FFFFFF;
    font-size: 1.5em;
}

main .avis .moyenAvis {
    display: flex;
    align-items: center;
}

main .avis .moyenAvis h3 {
    color: #FFFFFF;
    font-size: 1.2em;
    margin-left: 5px;
}

main .avis .moyenAvis .stars {
    display: flex;
    justify-content: center;
}

main .avis .moyenAvis .stars .Star {
    width: 20px;
    height: 20px;
    background-color: yellow;
    clip-path: polygon(50% 0%, 61% 35%, 98% 35%, 68% 57%, 79% 91%, 50% 70%, 21% 91%, 32% 57%, 2% 35%, 39% 35%);
}

main .avis .moyenAvis .stars .Stars-5 {
    width: 20px;
    height: 20px;
    background: linear-gradient(
        to right,
        yellow 0%,
        yellow 14%,
        #C5C5C5 14%,
        #C5C5C5 100%
    );
    clip-path: polygon(50% 0%, 61% 35%, 98% 35%, 68% 57%, 79% 91%, 50% 70%, 21% 91%, 32% 57%, 2% 35%, 39% 35%);
}

main .avis .blocAvis {
    padding-top: 80px;
    padding-bottom: 10px;
    overflow-y: hidden;
    overflow-x: scroll;
    display: flex;
    align-items: center;
}

main .avis .blocAvis .avis-1 {
    background-color: white;
    padding: 20px;
    margin-right: 30px;
    width: 400px;
    height: 350px;
    border-radius: 15px;
    box-shadow: 5px 5px 6px 2px rgba(0,0,0,0.4);
}

main .avis .blocAvis .avis-1 .pseudo {
    font-size: 1.2em;
}

main .avis .blocAvis .avis-1 .note-1 {
    display: flex;
    align-items: center;
}

main .avis .blocAvis .avis-1 .note-1 .starsAvis {
    width: 20px;
    height: 20px;
    background-color: yellow;
    clip-path: polygon(50% 0%, 61% 35%, 98% 35%, 68% 57%, 79% 91%, 50% 70%, 21% 91%, 32% 57%, 2% 35%, 39% 35%);
}

/* 4 étoiles */

main .avis .blocAvis .avis-1 .note-1 .starsAvis-5 {
    width: 20px;
    height: 20px;
    background-color: #C5C5C5;
    clip-path: polygon(50% 0%, 61% 35%, 98% 35%, 68% 57%, 79% 91%, 50% 70%, 21% 91%, 32% 57%, 2% 35%, 39% 35%);
}

/* 4 étoiles et demi */

main .avis .blocAvis .avis-1 .note-1 .starsAvis-5-1 {
    width: 20px;
    height: 20px;
    background: linear-gradient(
        to right,
        yellow 0%,
        yellow 50%,
        #C5C5C5 50%,
        #C5C5C5 100%
    );
    clip-path: polygon(50% 0%, 61% 35%, 98% 35%, 68% 57%, 79% 91%, 50% 70%, 21% 91%, 32% 57%, 2% 35%, 39% 35%);
}

/* 5 étoiles */

main .avis .blocAvis .avis-1 .Text-Avis {
    margin-top: 20px;
    text-align: justify;
    width: 300px;
}

/* Responsive du site internet */

@media screen and (max-width: 800px) {

    .navbar {
        padding: 0;
    }

    .navbar .logo {
        position: absolute;
        top: 60px;
        left: 50px;
    }

    .navbar .dropdown {
        position: absolute;
        top: 50px;
        left: 50%;
    }

    .navbar .menu-hamburger {
        display: block;
        cursor: pointer;
    }

    .navbar .change_theme_responsive {
        display: block;
        cursor: pointer;
    }

    .navbar .change_theme {
        display: none;
    }
    
    .nav-links {
        top: 0;
        left: 0;
        position: absolute;
        background-color: #11111175;
        backdrop-filter: blur(7px);
        width: 100%;
        height: 100vh;
        display: flex;
        justify-content: center;
        align-items: center;
        margin-left: 100%;
        transition: all 0.5s ease;
    }

    .nav-links.mobile-menu {
        margin-left: 0;
    }

    .nav-links ul {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .navbar .nav-links ul li {
        margin: 10px 0;
        font-size: 1.2em;
    }

}

@media screen and (max-width: 580px) {

    main .avis .blocAvis .avis-1 {
        width: 250px;
        height: 530px;
    }

    main .avis .blocAvis .avis-1 .Text-Avis {
        width: 200px;
    }

}

@media screen and (max-width: 545px) {

    main .title {
        font-size: 5em;
    }

}